Get help request status

GET /internal/admin/comms/v1/help/request/status

Operation id: get__internal_admin_comms_v1_help_request_status

Description

This API retrieves the status of a help request for a specified tenant and user.

Below is the map of status codes and what they represent:

  • 1 - Quota Met
  • 3 - Escalated
  • 4 - Stopped
  • 5 - No Ring
  • 6 - Completed By Escalation

Tags: Assistant

Parameters

Query parameters

NameTypeRequiredDescription
has_active_help_requestbooleanNoFlag to check if the user has an active help request
help_idinteger (int64)NoHelp request ID
tenant_idstringYesTenant ID of the request
user_loginstringYesUserLogin

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Status retrieved successfully

Content type: application/json

400 — Bad request

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — Status retrieved successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
helpIdinteger (int64)No
user_loginsarrayNo
isQuotaReachedbooleanNo
statusinteger (int16)No
quotainteger (int16)No
respondentsinteger (int16)No
rejectionsinteger (int16)No
responders_user_loginsarrayNo
responsesarrayNo
{
  "type": "object",
  "properties": {
    "helpId": {
      "type": "integer",
      "format": "int64"
    },
    "user_logins": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "isQuotaReached": {
      "type": "boolean"
    },
    "status": {
      "type": "integer",
      "format": "int16"
    },
    "quota": {
      "type": "integer",
      "format": "int16"
    },
    "respondents": {
      "type": "integer",
      "format": "int16"
    },
    "rejections": {
      "type": "integer",
      "format": "int16"
    },
    "responders_user_logins": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "responses": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "userLogin": {
            "type": "string"
          },
          "timestamp": {
            "type": "integer",
            "format": "int64",
            "description": "Unix timestamp of when the response was recorded"
          }
        }
      }
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
errorsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "errors": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  }
}